=== debian/changelog ===
rawtherapee (5.9-1) unstable; urgency=medium

  * New upstream release:
    - Remove all patches 

 -- Philip Rinn <rinni@debian.org>  Wed, 30 Nov 2022 18:47:18 +0100

rawtherapee (5.8-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no changes necessary).
  * Fix build with glibc >= 2.34 (closes: #1017168).

 -- Philip Rinn <rinni@debian.org>  Sun, 14 Aug 2022 11:02:37 +0200
