## rawtherapee 5.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 # Warning for GCC vectorization issues, which causes problems #5749 and #6384:
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER "10.0" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS "10.2")
-    message(STATUS "WARNING: gcc ${CMAKE_CXX_COMPILER_VERSION} is known to miscompile RawTherapee when using -ftree-loop-vectorize, forcing the option to be off")    
+    message(STATUS "WARNING: gcc ${CMAKE_CXX_COMPILER_VERSION} is known to miscompile RawTherapee when using -ftree-loop-vectorize, forcing the option to be off")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-tree-loop-vectorize")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-tree-loop-vectorize")
 elseif(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL "11.0")
@@ -87,6 +87,9 @@
 # On macOS, optionally generate the final zip artifact file without version in the name for nightly upload purposes.
 option(OSX_NIGHTLY "Generate a generically-named zip" OFF)
 
+# On macOS, optionally generate RawTherapee_<branch>_macOS_<buildtype>.zip for the CI
+option(OSX_CONTINUOUS "Generate a generically-named zip for CI" OFF)
+
 # Generate a universal macOS build
 option(OSX_UNIVERSAL "Generate a universal app" OFF)
 
@@ -94,13 +97,12 @@
 if(OSX_UNIVERSAL)
     if(NOT "${OSX_UNIVERSAL_URL}")
         if(CMAKE_OSX_ARCHITECTURES STREQUAL "arm64")
-            set(OSX_UNIVERSAL_URL "https://kd6kxr.keybase.pub/RawTherapee_macOS_x86_64_latest.zip" CACHE STRING "URL of x86_64 app for lipo")
-        else()
-            set(OSX_UNIVERSAL_URL "https://kd6kxr.keybase.pub/RawTherapee_macOS_arm64_latest.zip" CACHE STRING "URL of arm64 app for lipo")
-        endif()
-    endif()
-endif()
-
+            set(OSX_UNIVERSAL_URL "file:///rawtherapee/latest/RawTherapee_macOS_x86_64_latest.zip" CACHE STRING "URL of x86_64 app for lipo")
+        else()
+            set(OSX_UNIVERSAL_URL "file:///rawtherapee/latest/RawTherapee_macOS_arm64_latest.zip" CACHE STRING "URL of arm64 app for lipo")
+        endif()
+    endif()
+endif()
 
 # By default we don't use a specific processor target, so PROC_TARGET_NUMBER is
 # set to 0. Specify other values to optimize for specific processor architecture
@@ -325,9 +327,3 @@
 
 if(NOT DEFINED CREDITSDIR)
     if(BUILD_BUNDLE)
-        if(APPLE)
-            set(CREDITSDIR "${DATADIR}/..")
-        else()
-            set(CREDITSDIR "${DATADIR}")
-        endif()
-    else()
