=== debian/changelog ===
rawtherapee (5.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Mar 2024 21:24:09 -0800

rawtherapee (5.10-1) unstable; urgency=medium

  * New upstream release:
    - Remove all patches

 -- Philip Rinn <rinni@debian.org>  Mon, 19 Feb 2024 22:03:43 +0100

rawtherapee (5.9-2) unstable; urgency=medium

  * Fix build with gcc-13 (closes: #1051616)
  * Bump Standards-Version to 4.6.2 (no changes necessary).

 -- Philip Rinn <rinni@debian.org>  Sun, 10 Sep 2023 21:12:42 +0200
