=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,11 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCREDITSDIR=/usr/share/doc/rawtherapee -DLICENCEDIR=/usr/share/doc/rawtherapee -DPROC_FORCED_LABEL=generic -DCACHE_NAME_SUFFIX=""
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
+                         -DCREDITSDIR=/usr/share/doc/rawtherapee\
+                         -DLICENCEDIR=/usr/share/doc/rawtherapee\
+                         -DPROC_FORCED_LABEL=generic\
+                         -DCACHE_NAME_SUFFIX=""
 
 override_dh_install-arch:
 	dh_install
@@ -25,3 +29,7 @@
 	dh_install
 	rm debian/rawtherapee-data/usr/share/rawtherapee/languages/LICENSE
 	rm debian/rawtherapee-data/usr/share/rawtherapee/languages/README
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
